// if the user click on "OK"
function onAccept() {   
	var donotwarn = document.getElementById('DisplayQuotaDoNotWarn');
	var warnpercent = document.getElementById('DisplayQuotaFirstWarnPercent');
	var checked = donotwarn.getAttribute("checked");

	var DisplayQuotaPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

	// only save the warnpercent value if the donotwarn checkbox isn't checked
	if(checked == "true") {
		DisplayQuotaPrefs.setBoolPref("extension.displayquota.donotwarn",true);
	} else { 
		DisplayQuotaPrefs.setBoolPref("extension.displayquota.donotwarn",false);
	}
	DisplayQuotaPrefs.setIntPref("extension.displayquota.warnpercent",warnpercent.getAttribute("value"));
}

// disable the percentage dropdown menu
function disableFirstWarn() {
	var firstwarnpercent = document.getElementById('DisplayQuotaFirstWarnPercent');
	var donotwarnlabel = document.getElementById('DisplayQuotaFirstWarnPercentLabel');
	var donotwarn = document.getElementById('DisplayQuotaDoNotWarn');

/*	if(donotwarn.getAttribute("checked")) {
		donotwarnlabel.setAttribute("disabled","true");
		firstwarnpercent.setAttribute("disabled","true");
	} else {
		donotwarnlabel.setAttribute("disabled","false");
		firstwarnpercent.setAttribute("disabled","false");
	}
*/
}

// get values from the prefs
function onLoad() {
	var warnpercent;
	var donotwarn;
	var DisplayQuotaPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
	var donotwarncheckbox = document.getElementById('DisplayQuotaDoNotWarn');
	var warnpercentlist = document.getElementById('DisplayQuotaFirstWarnPercent');

	// setting up the dialog with the preferences' values
  	if (DisplayQuotaPrefs.getPrefType("extension.displayquota.warnpercent") == DisplayQuotaPrefs.PREF_INT){
    		warnpercent = DisplayQuotaPrefs.getIntPref("extension.displayquota.warnpercent");
		var elements = warnpercentlist.getElementsByAttribute("value",warnpercent);
		warnpercentlist.selectedItem = elements[0];
  	} 

	if (DisplayQuotaPrefs.getPrefType("extension.displayquota.donotwarn") == DisplayQuotaPrefs.PREF_BOOL) {
    		donotwarn = DisplayQuotaPrefs.getBoolPref("extension.displayquota.donotwarn");
		if(donotwarn) {
			donotwarncheckbox.setAttribute("checked","true");
			disableFirstWarn();
		 } else donotwarncheckbox.setAttribute("checked","false");
  	} 
}
